persistently addable/editable/removable Representations of a Form via the UI (M)
Closed, ResolvedPublic

Description

Right now the representation of a form is editable. However the edit is not persistently stored. The edit a user makes via the UI should be persistently stored and survive a page reload.

Acceptence Criteria:

  • User can add a representation in the UI and save it, reload the page and see the edited representation
  • We will create a new API-Module for this (sub-task)
Lydia_Pintscher renamed this task from [Story] Editable Representations of a Form (presistent) to [Story] Editable Representations of a Form (persistent).Oct 17 2017, 12:47 PM

Notes from estimation meeting today:

  • adding a representation of a form is already possible

Still needed:

  • API to edit a form (@daniel creates ticket) - @thiemowmde makes an overview with several options (generic vs. specialized API)
  • PM decision: should edits to several parts of the form be one or several edits and edit summaries?

Decision: If we have one edit button that people click then we also have one edit for the revision history. We do have one button so there will be one revision history entry.

Franziska_Heine renamed this task from [Story] Editable Representations of a Form (persistent) to [Story] Editable Representations of a Form (persistent) (M).
Lydia_Pintscher renamed this task from [Story] Editable Representations of a Form (persistent) (M) to persistently editable Representations of a Form (M).Oct 24 2017, 3:16 PM
Lydia_Pintscher renamed this task from persistently editable Representations of a Form (M) to persistently editable Representations of a Form via the UI (M).Oct 24 2017, 3:35 PM
Lydia_Pintscher renamed this task from persistently editable Representations of a Form via the UI (M) to persistently addable/editable/removable Representations of a Form via the UI (M).Oct 24 2017, 3:42 PM

Decision: If we have one edit button that people click then we also have one edit for the revision history. We do have one button so there will be one revision history entry.

What if the summary is too long will we loose crucial information?
Wouldn't it be good if I could revert some parts of the edit and not be forced to revert everything?

What if the summary is too long will we loose crucial information?

This should no longer be an issue. At least technically, we now have 64k text plus 64k JSON for the commit message.

Wouldn't it be good if I could revert some parts of the edit and not be forced to revert everything?

Not using the one-click "revert" feature - that reverts the entire edit, by definitions. You can always do partial reverts manually.

Lydia_Pintscher closed this task as Resolved.Feb 13 2018, 2:13 PM